package de.ozgcloud.operator.keycloak.realm;

import de.ozgcloud.operator.keycloak.realm.OzgCloudKeycloakRealmSpec.KeycloakRealmSMTPServer;

public class KeycloakRealmSmtpServerTestFactory {

	public final static String SMTP_SERVER_PORT = "432";
	public final static String SMTP_SERVER_HOST = "host";
	public final static String SMTP_SERVER_FROM = "test@test.de";
	public final static String SMTP_SERVER_FROM_DISPLAY_NAME = "displayed name";
	public final static String SMTP_SERVER_USER = "user";
	public final static String SMTP_SERVER_PASSWORD = "psw";
	public final static String SMTP_SERVER_AUTH = "true";
	public final static String SMTP_SERVER_STARTTLS = "true";

	public static OzgCloudKeycloakRealmSpec.KeycloakRealmSMTPServer create() {
		return createBuilder().build();
	}

	public static OzgCloudKeycloakRealmSpec.KeycloakRealmSMTPServer.KeycloakRealmSMTPServerBuilder createBuilder() {
		return KeycloakRealmSMTPServer.builder()
				.host(SMTP_SERVER_HOST)
				.user(SMTP_SERVER_USER)
				.password(SMTP_SERVER_PASSWORD)
				.port(SMTP_SERVER_PORT)
				.starttls(SMTP_SERVER_STARTTLS)
				.auth(SMTP_SERVER_AUTH)
				.from(SMTP_SERVER_FROM)
				.fromDisplayName(SMTP_SERVER_FROM_DISPLAY_NAME);
	}
}
